/*
 * @(#)HttpExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.http.*;
import com.jscape.inet.mime.MimeException;
import java.io.*;

public class HttpExample extends HttpAdapter {
    private String url;
    
    public HttpExample(String url) {
        this.url = url;
    }
    
    // print out contents of URL
    public void getUrl() throws HttpException, MimeException {
        Http http = new Http();
        
        // capture Http related events
        http.addHttpListener(this);
        
        // create request
        HttpRequest request = new HttpRequest(url,"GET");
        
        // get response and print to console
        HttpResponse response = http.getResponse(request);
        System.out.println(response.getBody());
        
    }
    
    public void connected(HttpConnectedEvent evt) {
        System.out.println("Connected to: " + evt.getURL());
    }
    
    public void disconnected(HttpDisconnectedEvent evt) {
        System.out.println("Disconnected from: " + evt.getURL());
    }
    
    public static void main(String[] args) {
        String url;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter web address to retrieve (e.g. http://www.yahoo.com): ");
            url = reader.readLine();
            HttpExample example = new HttpExample(url);
            example.getUrl();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

