/*
 * @(#)HttpSshExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.http.*;
import com.jscape.inet.httpssh.*;
import com.jscape.inet.ssh.util.*;
import com.jscape.inet.mime.MimeException;
import java.io.*;

public class HttpSshExample extends HttpAdapter {
    private String url; 
    private SshParameters sshParams;   
    
    public HttpSshExample(SshParameters sshParams, String zurl) {
        this.url = zurl;
        this.sshParams = sshParams;
    }
    
    // print out contents of URL
    public void getUrl() throws HttpException, MimeException {
        HttpSsh http = new HttpSsh(sshParams);
        
        // capture Http related events
        http.addHttpListener(this);
        
        // create request
        HttpRequest request = new HttpRequest(url,"GET");
        
        // get response and print to console
        HttpResponse response = http.getResponse(request);
        System.out.println(response.getBody());
        
    }    
    
    public void connected(HttpConnectedEvent evt) {
        System.out.println("Connected to: " + evt.getURL());
    }
    
    public void disconnected(HttpDisconnectedEvent evt) {
        System.out.println("Disconnected from: " + evt.getURL());
    }
    
    public static void main(String[] args) {
        String url;
        String sshHostname;
        String sshUsername;
        String sshPassword;
        try {        
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter SSH hostname (e.g. ssh.myserver.com): ");
            sshHostname = reader.readLine();
            
            System.out.print("Enter SSH username (e.g. jsmith): ");
            sshUsername = reader.readLine();
            
            System.out.print("Enter SSH password (e.g. secret): ");
            sshPassword = reader.readLine();
            
            // create SSH connection parameters
            SshParameters sshParams = new SshParameters(sshHostname,sshUsername,sshPassword);
            
            System.out.print("Enter web address to retrieve (e.g. http://www.yahoo.com): ");
            url = reader.readLine();
            
            HttpSshExample example = new HttpSshExample(sshParams,url);            
            example.getUrl();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

