/*
 * @(#)MimeExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.mime.*;
import java.io.*;

public class MimeExample {
    // build Mime message and print to console
    public void buildMessage(String to, String from, String subject, String body)
    throws IOException, MimeException {
        MimeMessage mm = new MimeMessage();
        mm.addHeader("To",to);
        mm.addHeader("From",from);
        mm.addHeader("Subject",subject);
        mm.setBody(body);
        
        System.out.println("-- begin mime message --");
        System.out.println(new String(mm.getMessage()));
        System.out.println("-- end mime message --");
    }
    
    public static void main(String[] args) {
        String to;
        String from;
        String subject;
        String body;
        String file;
        
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter To (e.g. user@domain.com): ");
            to = reader.readLine();
            System.out.print("Enter From (e.g. jsmith@domain.com): ");
            from = reader.readLine();
            System.out.print("Enter Subject: ");
            subject = reader.readLine();
            System.out.print("Enter Message Body: ");
            body = reader.readLine();            
            
            MimeExample example = new MimeExample();
            example.buildMessage(to,from,subject,body);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

