/*
 * @(#)TimedSocketExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of 
 * JSCAPE. ("Confidential Information").  You shall not disclose such 
 * Confidential Information and shall use it only in accordance with 
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.util.TimedSocket;
import java.io.*;
import java.net.Socket;

public class TimedSocketExample
{
	public Socket getSocket(String hostname, int port, int timeout) throws IOException
	{
		return TimedSocket.getSocket(hostname,port,timeout);		
	}
	
	public static void main(String[] args)
	{
		String hostname;
		int port;
		int timeout;
		
		try
		{
			BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));		
			System.out.print("Enter hostname (e.g. www.yahoo.com): ");
			hostname = reader.readLine();
			System.out.print("Enter port (e.g. 80): ");
			port = Integer.parseInt(reader.readLine());						
			System.out.print("Enter timeout (in milliseconds): ");
			timeout = Integer.parseInt(reader.readLine());			
			TimedSocketExample example = new TimedSocketExample();
			long start = System.currentTimeMillis();
			example.getSocket(hostname,port,timeout);
			long stop = System.currentTimeMillis();
			System.out.println("Retrieved socket in " + (stop - start) + " milliseconds");			
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.exit(1);
		}			
		
	}	
}

